LogonForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.authentication.LogonForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.authentication
Class LogonForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.authentication.LogonForm

All Implemented Interfaces:
  java.io.Serializable

    public final class LogonForm

extends org.apache.struts.validator.ValidatorForm

Form bean for the user profile page. This form has the following fields, with default values in square brackets:

- password - Entered password value
- username - Entered username value

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`LogonForm()`

Method Summary
`java.lang.String` | `getJ_password()` Return the password.
`java.lang.String` | `getJ_username()` Return the username.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Reset all properties to their default values.
`void` | `setJ_password(java.lang.String j_password)` Set the password.
`void` | `setJ_username(java.lang.String j_username)` Set the username.

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults, validate`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogonForm

    public LogonForm()

Method Detail

### getJ_password

    public java.lang.String getJ_password()

  Return the password.

### setJ_password

    public void setJ_password(java.lang.String j_password)

  Set the password.

  Parameters:
    `password` - The new password

### getJ_username

    public java.lang.String getJ_username()

  Return the username.

### setJ_username

    public void setJ_username(java.lang.String j_username)

  Set the username.

  Parameters:
    `username` - The new username

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Reset all properties to their default values.

  Overrides:
    `reset` in class `org.apache.struts.validator.ValidatorForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.